4.5.2 - May 10, 2026
====================

- Fix issue #81
- Updated translations; Kazakh, Serbian & Brazilian Portuguese.
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.5.2/gnome-nibbles-4.5.2.tar.bz2

4.5.1 - March 14, 2026
======================

- Updated translations; Finnish, Swedish, Catalan, Czech, Turkish & Kazakh.
- To download use:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.5.1/gnome-nibbles-4.5.1.tar.bz2

4.5.0 - February 8, 2026
========================

- No build dependency changes.
- Fix issue #80.
- Correct metadata !95 & !96. Thanks to Sabri Ünal for these.
- Fix the game not starting on level 1 for progress of Levels 1 through 26 in
  sequential order if the previous game was a fixed level > 1
- Add new feature to clear high scores.
- Updated translations; Greek, Swedish, Kazakh, Slovenian, Ukrainian, Georgian,
  Chinese (China) & Russian.
- To download use:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.5.0/gnome-nibbles-4.5.0.tar.bz2

4.4.2 - Halloween (October 31) 2025
===================================

- Fix issues #44, #78 & #79.
- Updated screen shots, thanks to reno-coty for these.
- Updated translations; Ukrainian, Chinese (China), Georgian, Slovenian, 
  Swedish, Russian, Brazilian Portuguese & Turkish.
- libgnome-games-support updated translations; Korean, Turkish & Lithuanian.
- To download use:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.4.2/gnome-nibbles-4.4.2.tar.bz2

4.4.1 - September 17, 2025
==========================

- Fix issue #77
- To download use:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.4.1/gnome-nibbles-4.4.1.tar.bz2

4.4.0 - September 11, 2025
==========================

- Build dependency changes;
  libgnome-games-support >= 3.0 (now a copylib
    see https://gitlab.gnome.org/GNOME/libgnome-games-support),
  gtk4 >= 4.14,
  pango >= 1.8,
  meson >= 1.5,
  libadwaita (>= 1.5.0) has changed from optional to mandatory, consequently
    the configuration option use_libadwaita has been removed.
- Fix issue #76.
- Fix problem with enable fake bonuses toggle button.
- Fix libgnome-games-support; merge request !32
- Fix download location in release notification email.
- To download this release directly from gitlab use:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/archive/4.4.0/gnome-nibbles-4.4.0.tar.bz2

4.3 - not released
==================

- Build dependency changes; libgnome-games-support >= 2.0.2 and < 3.0
- use_libadwaita must be true (the default) as libgnome-games-support now 
  depends on libadwaita.
- Fix issue #73.
- Fix the reported points needed to get on to the leaderboard.
- As this branch was never released get it via git:
  git clone https://gitlab.gnome.org/GNOME/gnome-nibbles.git -b release-4-3

4.2.2 - April 17, 2025
======================

- Fix issues #74 & #75
  Thanks to Jeremy Bicha for picking these up.

4.2.1 - April 13, 2025
======================

- Fix the problem that the process does not exit cleanly (after a timeout)
  when running as GApplication service.
  Thanks to Balló György for this.
- Revert commit https://gitlab.gnome.org/GNOME/gnome-nibbles/-/commit/fd432d46e4f8139a2489d4b66ad89f85be7a22e3
  as it causes the volume to vary during the playing of a sound file.
  This revert brings back the gsound build dependency.

4.2.0 - March 13, 2025
======================

- Build dependency changes; meson >= 1.1, gsound removed.
- Oldest tested dependencies (you may be able to go older):
  gio & glib - 2.72.4
  gtk4       - 4.6.9 
  vala       - 0.56.0
- The tar bundle for this release can be downloaded from gitlab:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/releases
- Build options added.
  You can now pass several configuration options as parameters to meson setup.
  "-Dversion=<override version number>"
  "-Dappend_to_version=<append to version number>"
  "-Dwebsite=<override home website>"
  "-Duse_libadwaita=<true or false>"
  The file meson.options contains each option's default value.
  If you would like another configuration option added to make packageing easier
  let me know.
- Retired old wiki page; https://wiki.gnome.org/Apps/Nibbles
- Implemented a new wiki:
  https://gitlab.gnome.org/GNOME/gnome-nibbles/-/wikis/home
  If anyone has anything they would like added to the wiki let me know.
- Fixed Issues; #4, #6, #47 & #71.
- Updated translations (Chinese (China) & Bulgarian).
- Switch to existing window instead of creating new one on second activation.
  Thanks to Balló György for this.
- Removed C++ style comments to improve C compatibility.
- Ensure the game is over when all the human worms are dead.
- Changed the developer id to rDNS format.
  Thanks to Daniel Rusek for this.
- Do not link with libadwaita if the meson link test fails.

4.1.0 - September 12, 2024
==========================

- Oldest tested dependencies (you may be able to go older):
  gio & glib - 2.74.0
  gtk4       - 4.8.3 
  vala       - 0.56.3
- May be linked with libadwaita for a different look. Thanks to kramo for this.
- Fixes Issues:
  #16 (implement more amounts of worms) thanks to Zeno Mat for this,
  #14, #68, #11, #7, #19 & #32.
- Updated translations (Hebrew, German, Hindi, Turkish, Ukrainian, Czech,
  Slovenian, Russian, Swedish, Georgian, Finnish, Belarusian, Persian)
- Fix worm head tests.

4.0.4 - April 16, 2024
======================

- Updated translations (British English).
- Fix compile issue with vala >= 0.57
- Fix / work around for issue #69 (segfault at game start). Thanks to david_david for finding this.

4.0.3 - March 15, 2024
======================

- Updated translations (Hungarian & Basque).

4.0.2 - February 9, 2024
========================

- Updated translations (German, Indonesian & Lithuanian).
- Fixes for compatibility with gcc >= 14.0 & clang >= 16 when compiling with a version of vala < 0.56.15
- Note:
  If you have still have issues compiling this or other vala source code try the following compiler options:
  For gcc >= 14
    "-Wno-incompatible-pointer-types"
  For clang >= 16
    "-Wno-incompatible-function-pointer-types" & "-Wno-incompatible-pointer-types"
- Thanks:
  Gnome Nibbles has recently been packaged for pkgsrc.org, many thanks to Thomas Klausner.
  For those of you who don't know pkgsrc it is an impressive package system that works on multiple platforms.

4.0.1 - December 17, 2023
=========================

- Dependency changes; Updated to use gtk4(>=4.6) & libgnome-games-support(>=2.0.0). Dropped gtk3, cogl, clutter, clutter-gtk. Added pangocairo and a glib target version of 2.78.
- Feature; added a 3D view.
- Fix Issues; #58(Computer Worms get stuck), #56, #33, #15, #54, #62(Keys do not work in a non-Latin keyboard layout), #53.
- Updated translations (Persian, French, Czech, Belarusian, Turkish, Finnish, Ukrainian, Indonesian, Icelandic, Polish, Georgian, Portuguese, Kazakh, Russian, Swedish, Galician, German, Hebrew, Czech, Hungarian, Chinese (China), Basque).
- Fixes for appstreamcli version 1.0
- Fixes default arrow keys not working (Issue #67).
- This Nibbles release is for GNOME release 46.

For the libgnome-games-support package;
  source is here: https://gitlab.gnome.org/GNOME/libgnome-games-support/-/tree/2.0.0?ref_type=tags
  release is here: https://download.gnome.org/sources/libgnome-games-support/2.0/

The release version numbering has changed:
4.0.alpha - for package maintainers to raise issues: https://gitlab.gnome.org/GNOME/gnome-nibbles/-/issues
4.0.beta  - for general testing, do your worst, raise issues found at: https://gitlab.gnome.org/GNOME/gnome-nibbles/-/issues
4.0.rc1   - the release unless something big is found
4.0.0     - full release
4.0.1     - minor release, translations or critical fixes

3.38.3 - May 1, 2023
====================

- Fixes to build with newer valac (!27, !29, Rico Tzschichholz)
- Misc merge requests: !28, !30, !31, !32, !39, !40, !41
- Updated user help (Andre Klapper)
- Updated translations

3.38.2 - November 1st, 2020
===========================

- Crash fixed
- Updated translations

3.38.1 - October 5, 2020
===========================

- Updated translations

3.38.0 - September 12, 2020
===========================

- Updated translations

3.37.90 - August 8, 2020
========================

- Keyboard shortcuts dialog and multiple shortcuts improvements
- Add various command line arguments
- Updated translations (Basque, Kazakh, Romanian, Ukrainian, Friulian, Lithuanian, Catalan, Spanish, Basque, Swedish, Galician)

3.37.0 - July 4, 2020
=====================

- Rework worms directions code (Arnaud Bonatti)
- Many fixes to Control screen (Arnaud Bonatti)
- Remove preferences dialog and create new pre-game screen with options (Arnaud Bonatti)
- Updated translations
- Many other fixes and improvements

3.35.90 - February 14, 2020
===========================

- Updated help pages (Andre Klapper)
- Updated translations (Daniel Mustieles García, Umarzuki Mochlis, Piotr Drąg)

3.34.2 - January 3, 2020
========================

- Re-enabled pt_BR translation (Rafael Fontenelle)
- Updated translations (Catalan - Jordi Mas)

3.34.1 - Octomber 7, 2019
=========================

- Update appdata file (Bilal Elmoussaoui)

3.34.0 - September 10, 2019
===========================

- Updated translations

3.33.90 - August 5, 2019
========================

- Drop libcanberra in favor of gsound (Arnaud Bonatti)
- Port to meson build system (thanks everyone!)

3.31.3 - December 10, 2018
==========================

- Fix display of level completed label and next level button (#22, Pedro Aldatxarren)
- Replace app menu with window menu (Jeremy Bicha)
- Updated translations

3.23.92 - March 13, 2017
========================

* Updated translations

3.23.91 - February 28, 2016
===========================

* Updated translations

3.23.2 - November 22, 2016
==========================

* Updated translations

3.23.1 - October 24, 2016
=========================

* Set default widget on level completed screen
* Updated translations

3.22.0 - September 20, 2016
===========================

* Updated translations

3.21.92 - September 13, 2016
============================

* Updated translations

3.21.91 - August 30, 2016
=========================

* Updated translations

3.21.90 - August 15, 2016
=========================

* Set default widgets on new game screens
* Work around broken GtkStack transitions on Wayland
* Fix incorrect license displayed in preferences dialog
* Build with new libgnome-games-support
* Updated translations

3.21.4 - July 17, 2016
======================

* Dist the gresource file
* Updated translations

3.21.3 - June 20, 2016
======================

* Simplify GResource handling
* Updated translations

3.21.2 - May 23, 2016
=====================

* Updated translations

3.20.1 - April 11, 2016
=======================

* Updated translations

3.20.0 - March 23, 2016
=======================

* Internationalization bugs fixed
* Updated translations

3.19.92 - March 8, 2016
=======================

* Fix a crash when eating a cherry shortly after an apple or a banana.
* Fix minor style issue.
* Updated translations

3.19.91 - February 28, 2016
===========================

* Fix New Game/Pause buttons during countown
* Fix sounds played when eating a bonus
* Restore user help
* Updated translations

3.19.90 - February 15, 2016
===========================

Dependencies: GTK+ 3.18

* Fix CSS problems
* Add proper end game screens for all possible outcomes
* Use the new scores import API from libgames-support
* Fix problem with buttons breaking the game during the end game screens
* Fix window size increasing with GTK+ 3.20
* Fix bug with worm being briefly uncontrollable at the start of a level
* Add buttons for selecting the number of AI players
* Update project license
* Add screen congratulating the player when reaching the last level of the game
* Updated translations

===========================


3.19.4 - January 18, 2016
=========================

* Updated translations
* Added preferences dialog 

3.19.3 - December 14, 2015
==========================

* Make worms spawning on top of other worms ghosts until they move to a safe
area
* Reset level when starting a new game

3.19.2 - November 24, 2015
==========================

* Updated translations
* Use gettext

3.19.1 - October 26, 2015
=========================

* Rewritten in Vala
* New visual design

3.17.90 - August 12, 2015
=========================

* Add symbolic app icon (Jakub Steiner)
* Fix typos in documentation (Anders Jonsson)
* Updated translations

gnome-nibbles 3.15.91.1
=======================

* Fix installation of appdata files

gnome-nibbles 3.15.91
=====================

Dependencies: GTK+ 3.15

* Pause game when viewing preferences or scores
* Use gresource, code cleanups
* Updated translations

gnome-nibbles 3.15.90
=====================

* Don't connect to the windowing system when parsing command line options
* Don't allow setting the number of human players to zero
* Updated translations

gnome-nibbles 3.14.0
=====================

* Updated translations

gnome-nibbles 3.13.92
=====================

* Updated translations
* Make game delay configurable by debug switch

gnome-nibbles 3.13.91
=====================

* Updated translations
* Make all animations depend on already existing game delay constant.

gnome-nibbles 3.13.90
=====================

Dependencies: GTK+ 3.12

* Fix several causes of invisible death worms, but a few know cases remain
* The game will now crash whenever an invisible death worm would be created
* Fix pause action in app menu
* Fix resizing the board
* Remove seriously buggy random teleporter on level 25
* Use header bar on preferences dialog
* Don't allow multiple windows
* Fix small memory leak
* Code cleanups
* Updated Catalan, Czech, German, Greek, Hungarian, Lithuanian, Norwegian, Slovenian, and Swedish translations

gnome-nibbles 3.12.0
==================

 * Updated French, Basque, Indonesian, Serbian, Slovak, Italian, Russian, Hungarian, Danish, Portuguese translations  

gnome-nibbles 3.11.92
==================

 * Updated Finnish, Polish, French, Chinese, Korean, Latvian, Lithuanian and Norwegian translations

gnome-nibbles 3.11.90.1
==================

 * Added GtkHeaderBar, bumps depends to GTK+ 3.10

gnome-nibbles 3.11.90
==================

 * AppData improvements

gnome-nibbles 3.11.5
==================

 * Many updated translations
 * GtkApplication Port with new AppMenu
 * Fix scores system and move to storing in home
 * End game will show scores dialog

gnome-nibbles 3.11.1
==================

 * Updated Slovenian translation
 * Added initial Hungarian translation
 * Added AppData file
 * Minor improvements to translatablity
 * Code and file cleanups

gnome-nibbles 3.10.0
==================

 * Translation updates

gnome-nibbles 3.9.92
==================

 * Added an appdata file
 * Translation updates
 * Disable preferences menu when playing
 * Remove score-dialog that doesn't work
 * Migrated to Clutter 1.14.4
 * Help pages updated
 * Performance improvements and code cleanup

gnome-nibbles 3.8.0
==================

 * Translation updates
 * .desktop file reverted

gnome-nibbles 3.7.4
====================

* Updated translations

gnome-nibbles 3.7.2
====================

First release split from gnome-games
